import java.util.*;

public class MySet<E> {

    private E[] set;

    public MySet(E[] array){
        this.set = array;
    }


    public boolean add(E value) {
        boolean add = false;
        E[] arr = Arrays.copyOf(this.set,this.set.length+1);
        int count = 0;
        for (int i = 0; i <set.length ; i++) {
            if(set[i] == value){
                add = false;
            }
            else if(set[i] != value){
                arr[count] = set[i];
                count++;
                add = true;
            }
        }
        return add;
    }


    public boolean addAll(Long[] array2merge) {

        boolean add = false;
        E[] arr = Arrays.copyOf(this.set,this.set.length+array2merge.length);
        int count = 0;
        for (int i = 0; i <set.length ; i++) {
            if(set[i] == array2merge[i]){
                add = false;
            }
            else{
                add = true;
                arr[count] = set[i];
                count++;

            }
        }
        return add;
    }

    public E[] clear() {
        E[] arr = Arrays.copyOf(this.set,0);

        return arr;
    }

    public boolean contains(E value) {
        boolean bool = false;
        for (E s: set) {
            if (s.equals(value)){
                bool = true;
            }
        }
        return bool;
    }


    public boolean equal(E value) {
        boolean bool = false;
        for(int i = 0; i<set.length; i++){
            if(set[i] == value){
                bool = true;
            }
        }
        return bool;
    }

    public boolean isEmpty() {
        if(set.length == 0){
            return true;
        }
        return false;
    }


    public int hashCode() {
        return set.hashCode();
    }

    public int size() {
        int size = set.length;

        return size;

    }

    public boolean remove(int index) {
        E removed = set[index];
        E[] arr = Arrays.copyOf(this.set,this.set.length-1);
        int count = 0;
        for(int i = 0; i < set.length; i++){
            if(i != index){
                arr[count] = set[i];
                count++;
            }
        }
        set = arr;
       return !this.contains(removed);
    }
}


